package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HouseInfo {
    private Integer id;
    private String delFlag;
    private String title;
    private Integer price;
    private String payMode;
    private String featureCode;
    private String houseArea;
    private Integer room;
    private Integer hall;
    private Integer guard;
    private Integer totalFloor;
    private Integer houseFloor;
    private String faced;
    private String decoration;
    private String checkIn;
    private String elevator;
    private String rentingType;
    private String partCode;
    private String houseIntroduce;
    private Integer housekeeper;
    private String retrieval;
    private String housingDistrict;
    private String streetCode;
    private String businessCircleCode;
    private String districtCode;
    private String cityCode;
    private String lat;
    private String lng;
    private String remark;
    private Integer rank;
    private Integer hot;
    private String recommendFlag;
    private String selectedFlag;
    private String address;
    private String addressDetail;
    private Integer statusFlag;
    private String buildYear;
    private Date createTime;
    private Date updateTime;

    private String lineCode;
    private String stationCode;

    private Integer roomFilter;
    private Integer minPrice;
    private Integer maxPrice;
    private Integer minArea;
    private Integer maxArea;
    private String searchKey;
    private String featureCodeKey;
    private String distance;
    private String lngKey;
    private String latKey;

    private String phone;

    private List<HouseFeature> houseFeatures;
    private List<HousePart> houseParts;
    private List<HouseImage> houseImages;
    private HouseKeeper keeper;

    private HousingDistrict housingDistrictInfo;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getPrice() {
        return this.price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getPayMode() {
        return this.payMode;
    }

    public void setPayMode(String payMode) {
        this.payMode = payMode;
    }

    public String getFeatureCode() {
        return this.featureCode;
    }

    public void setFeatureCode(String featureCode) {
        this.featureCode = featureCode;
    }

    public String getHouseArea() {
        return this.houseArea;
    }

    public void setHouseArea(String houseArea) {
        this.houseArea = houseArea;
    }

    public Integer getRoom() {
        return this.room;
    }

    public void setRoom(Integer room) {
        this.room = room;
    }

    public Integer getHall() {
        return this.hall;
    }

    public void setHall(Integer hall) {
        this.hall = hall;
    }

    public Integer getGuard() {
        return this.guard;
    }

    public void setGuard(Integer guard) {
        this.guard = guard;
    }

    public Integer getTotalFloor() {
        return this.totalFloor;
    }

    public void setTotalFloor(Integer totalFloor) {
        this.totalFloor = totalFloor;
    }

    public Integer getHouseFloor() {
        return this.houseFloor;
    }

    public void setHouseFloor(Integer houseFloor) {
        this.houseFloor = houseFloor;
    }

    public String getFaced() {
        return this.faced;
    }

    public void setFaced(String faced) {
        this.faced = faced;
    }

    public String getDecoration() {
        return this.decoration;
    }

    public void setDecoration(String decoration) {
        this.decoration = decoration;
    }

    public String getCheckIn() {
        return this.checkIn;
    }

    public void setCheckIn(String checkIn) {
        this.checkIn = checkIn;
    }

    public String getElevator() {
        return this.elevator;
    }

    public void setElevator(String elevator) {
        this.elevator = elevator;
    }

    public String getRentingType() {
        return this.rentingType;
    }

    public void setRentingType(String rentingType) {
        this.rentingType = rentingType;
    }

    public String getPartCode() {
        return this.partCode;
    }

    public void setPartCode(String partCode) {
        this.partCode = partCode;
    }

    public String getHouseIntroduce() {
        return this.houseIntroduce;
    }

    public void setHouseIntroduce(String houseIntroduce) {
        this.houseIntroduce = houseIntroduce;
    }

    public Integer getHousekeeper() {
        return this.housekeeper;
    }

    public void setHousekeeper(Integer housekeeper) {
        this.housekeeper = housekeeper;
    }

    public String getRetrieval() {
        return this.retrieval;
    }

    public void setRetrieval(String retrieval) {
        this.retrieval = retrieval;
    }

    public String getHousingDistrict() {
        return this.housingDistrict;
    }

    public void setHousingDistrict(String housingDistrict) {
        this.housingDistrict = housingDistrict;
    }

    public String getStreetCode() {
        return this.streetCode;
    }

    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public String getBusinessCircleCode() {
        return this.businessCircleCode;
    }

    public void setBusinessCircleCode(String businessCircleCode) {
        this.businessCircleCode = businessCircleCode;
    }

    public String getDistrictCode() {
        return this.districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public String getCityCode() {
        return this.cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getLat() {
        return this.lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return this.lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getRank() {
        return this.rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public Integer getHot() {
        return this.hot;
    }

    public void setHot(Integer hot) {
        this.hot = hot;
    }

    public String getRecommendFlag() {
        return this.recommendFlag;
    }

    public void setRecommendFlag(String recommendFlag) {
        this.recommendFlag = recommendFlag;
    }

    public String getSelectedFlag() {
        return this.selectedFlag;
    }

    public void setSelectedFlag(String selectedFlag) {
        this.selectedFlag = selectedFlag;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddressDetail() {
        return this.addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public Integer getStatusFlag() {
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getBuildYear() {
        return this.buildYear;
    }

    public void setBuildYear(String buildYear) {
        this.buildYear = buildYear;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }


    public List<HouseFeature> getHouseFeatures() {
        return houseFeatures;
    }

    public void setHouseFeatures(List<HouseFeature> houseFeatures) {
        this.houseFeatures = houseFeatures;
    }

    public List<HousePart> getHouseParts() {
        return houseParts;
    }

    public void setHouseParts(List<HousePart> houseParts) {
        this.houseParts = houseParts;
    }

    public List<HouseImage> getHouseImages() {
        return houseImages;
    }

    public void setHouseImages(List<HouseImage> houseImages) {
        this.houseImages = houseImages;
    }

    public String getLineCode() {
        return lineCode;
    }

    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public Integer getRoomFilter() {
        return roomFilter;
    }

    public void setRoomFilter(Integer roomFilter) {
        this.roomFilter = roomFilter;
    }

    public Integer getMinPrice() {
        return minPrice;
    }

    public void setMinPrice(Integer minPrice) {
        this.minPrice = minPrice;
    }

    public Integer getMaxPrice() {
        return maxPrice;
    }

    public void setMaxPrice(Integer maxPrice) {
        this.maxPrice = maxPrice;
    }

    public Integer getMinArea() {
        return minArea;
    }

    public void setMinArea(Integer minArea) {
        this.minArea = minArea;
    }

    public Integer getMaxArea() {
        return maxArea;
    }

    public void setMaxArea(Integer maxArea) {
        this.maxArea = maxArea;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getFeatureCodeKey() {
        return featureCodeKey;
    }

    public void setFeatureCodeKey(String featureCodeKey) {
        this.featureCodeKey = featureCodeKey;
    }

    public String getDistance() {
        return distance;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public String getLngKey() {
        return lngKey;
    }

    public void setLngKey(String lngKey) {
        this.lngKey = lngKey;
    }

    public String getLatKey() {
        return latKey;
    }

    public void setLatKey(String latKey) {
        this.latKey = latKey;
    }

    public HouseKeeper getKeeper() {
        return keeper;
    }

    public void setKeeper(HouseKeeper keeper) {
        this.keeper = keeper;
    }

    public HousingDistrict getHousingDistrictInfo() {
        return housingDistrictInfo;
    }

    public void setHousingDistrictInfo(HousingDistrict housingDistrictInfo) {
        this.housingDistrictInfo = housingDistrictInfo;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}

